--------------------------------------------------------------------------------------------------
--Traits
--------------------------------------------------------------------------------------------------
INSERT INTO Traits (Type,	LuaToInclude,				Description,					ShortDescription) 
SELECT 'TRAIT_FA_BISMARCK',	'Bismarck_Realpolitik.lua',	'TXT_KEY_TRAIT_FA_BISMARCK',	'TXT_KEY_TRAIT_FA_BISMARCK_SHORT';

--------------------------------------------------------------------------------------------------
UPDATE Leader_Traits SET TraitType = 'TRAIT_FA_BISMARCK' WHERE LeaderType = 'LEADER_BISMARCK';

--------------------------------------------------------------------------------------------------
--Policy enablers
--------------------------------------------------------------------------------------------------
INSERT INTO Policies (Type,						HappinessToCulture) 
SELECT 'POLICY_TRAIT_FA_BISMARCK_WAR_01',		75 UNION ALL
SELECT 'POLICY_TRAIT_FA_BISMARCK_PEACE_01',		0 UNION ALL
SELECT 'POLICY_TRAIT_FA_BISMARCK_PEACE_02',		0 UNION ALL
SELECT 'POLICY_TRAIT_FA_BISMARCK_PEACE_03',		0 UNION ALL
SELECT 'POLICY_TRAIT_FA_BISMARCK_PEACE_04',		0;

INSERT INTO Policy_BuildingClassYieldChanges (PolicyType,	BuildingClassType,			YieldType,			YieldChange) 
SELECT 'POLICY_TRAIT_FA_BISMARCK_PEACE_01',					'BUILDINGCLASS_PALACE',		'YIELD_PRODUCTION',	2 UNION ALL
SELECT 'POLICY_TRAIT_FA_BISMARCK_PEACE_02',					'BUILDINGCLASS_PALACE',		'YIELD_PRODUCTION',	4 UNION ALL
SELECT 'POLICY_TRAIT_FA_BISMARCK_PEACE_03',					'BUILDINGCLASS_PALACE',		'YIELD_PRODUCTION',	6 UNION ALL
SELECT 'POLICY_TRAIT_FA_BISMARCK_PEACE_04',					'BUILDINGCLASS_PALACE',		'YIELD_PRODUCTION',	8;

--------------------------------------------------------------------------------------------------
--Leader Flavors
--------------------------------------------------------------------------------------------------
DELETE FROM Leader_Flavors WHERE LeaderType = 'LEADER_BISMARCK';

INSERT INTO Leader_Flavors  (LeaderType,	FlavorType,							Flavor)
SELECT 'LEADER_BISMARCK',					'FLAVOR_OFFENSE',					6 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_DEFENSE',					5 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_CITY_DEFENSE',				7 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_MILITARY_TRAINING',			8 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_RECON',						5 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_RANGED',					5 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_MOBILE',					7 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_NAVAL',						4 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_NAVAL_RECON',				3 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_NAVAL_GROWTH',				5 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_NAVAL_TILE_IMPROVEMENT',	5 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_AIR',						7 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_EXPANSION',					5 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_GROWTH',					7 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_TILE_IMPROVEMENT',			8 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_INFRASTRUCTURE',			8 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_PRODUCTION',				8 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_GOLD',						5 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_SCIENCE',					7 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_CULTURE',					4 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_HAPPINESS',					7 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_GREAT_PEOPLE',				6 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_WONDER',					3 UNION ALL

SELECT 'LEADER_BISMARCK',					'FLAVOR_RELIGION',					3 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_DIPLOMACY',					4 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_SPACESHIP',					8 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_WATER_CONNECTION',			4 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_NUKE',						7 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_USE_NUKE',					7 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_ESPIONAGE',					5 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_ANTIAIR',					5 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_AIR_CARRIER',				6 UNION ALL

SELECT 'LEADER_BISMARCK',					'FLAVOR_ARCHAEOLOGY',				6 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_I_LAND_TRADE_ROUTE',		5 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_I_SEA_TRADE_ROUTE',			5 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_I_TRADE_ORIGIN',			5 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_I_TRADE_DESTINATION',		5 UNION ALL
SELECT 'LEADER_BISMARCK',					'FLAVOR_AIRLIFT',					6;