-- Gandhi_Ahimsa
-- Author: FramedArchitecture
-- DateCreated: 6/2014
--------------------------------------------------------------------
include("UA_Functions.lua")
--------------------------------------------------------------------
local gandhiID = -1
local gandhiTeamID = -1
local bGandhiAtWar = false
--------------------------------------------------------------------
function OnWarStateChanged(teamID, _, bWar)
	if (teamID == gandhiTeamID) and (bWar ~= bGandhiAtWar) then
		bGandhiAtWar = (Teams[gandhiTeamID]:GetAtWarCount(true) > 0)
		UpdatePeaceBonuses()
	end
end
--------------------------------------------------------------------
function UpdatePeaceBonuses()
	local player = Players[gandhiID]
	player:SetHasPolicy(GameInfoTypes.POLICY_TRAIT_FA_GANDHI_PEACE, not bGandhiAtWar)
end
--------------------------------------------------------------------
function Init()
	for i = 0, GameDefines.MAX_MAJOR_CIVS - 1, 1 do
		local player = Players[i]
		if player and (GetTraitType(player) == "TRAIT_FA_GANDHI") then
			gandhiID = i
			gandhiTeamID = player:GetTeam()
			bGandhiAtWar = (Teams[gandhiTeamID]:GetAtWarCount(true) > 0)

			UpdatePeaceBonuses()
			Events.WarStateChanged.Add(OnWarStateChanged)

			print("Gandhi_Ahimsa loaded")
			break;
		end
	end
end
--------------------------------------------------------------------
Init();