-- Pedro_Export
-- Author: FramedArchitecture
-- DateCreated: 6/2014
--------------------------------------------------------------------
include("UA_Functions.lua")
--------------------------------------------------------------------
local pedroID = -1
local pedroTeamID = -1
--------------------------------------------------------------------
function OnCityFounded(playerID, x, y)
	if playerID ~= pedroID then return end

	local player = Players[playerID]
	local trait = GetTraitInfo(player)
	if trait and trait.FeatureClaimedOnFound then
		DoCityClaimFeatures(playerID, Map.GetPlot(x, y), GameInfoTypes[trait.FeatureClaimedOnFound])
	end
end
--------------------------------------------------------------------
function Init()
	for i = 0, GameDefines.MAX_MAJOR_CIVS - 1, 1 do
		local player = Players[i]
		if player and (GetTraitType(player) == "TRAIT_FA_PEDRO") then
			pedroID = i
			pedroTeamID = player:GetTeam()
			
			GameEvents.PlayerCityFounded.Add(OnCityFounded)

			print("Pedro_Export loaded")
			break;
		end
	end
end
--------------------------------------------------------------------
Init();