--------------------------------------------------------------------------------------------------
--Traits
--------------------------------------------------------------------------------------------------
ALTER TABLE Traits ADD COLUMN FeatureClaimedOnFound text DEFAULT null;

INSERT INTO Traits (Type,	LuaToInclude,			RequiresExpansion,	FeatureClaimedOnFound,	Description,				ShortDescription) 
SELECT 'TRAIT_FA_PEDRO',	'Pedro_Export.lua',		1,					'FEATURE_JUNGLE',		'TXT_KEY_TRAIT_FA_PEDRO',	'TXT_KEY_TRAIT_FA_PEDRO_SHORT';

--------------------------------------------------------------------------------------------------
UPDATE Leader_Traits SET TraitType = 'TRAIT_FA_PEDRO' WHERE LeaderType = 'LEADER_PEDRO';

--------------------------------------------------------------------------------------------------
--Leader Flavors
--------------------------------------------------------------------------------------------------
DELETE FROM Leader_Flavors WHERE LeaderType = 'LEADER_PEDRO';

INSERT INTO Leader_Flavors  (LeaderType,	FlavorType,							Flavor)
SELECT 'LEADER_PEDRO',						'FLAVOR_OFFENSE',					4 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_DEFENSE',					6 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_CITY_DEFENSE',				5 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_MILITARY_TRAINING',			4 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_RECON',						7 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_RANGED',					5 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_MOBILE',					5 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_NAVAL',						6 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_NAVAL_RECON',				5 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_NAVAL_GROWTH',				5 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_NAVAL_TILE_IMPROVEMENT',	5 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_AIR',						5 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_EXPANSION',					7 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_GROWTH',					6 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_TILE_IMPROVEMENT',			7 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_INFRASTRUCTURE',			4 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_PRODUCTION',				6 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_GOLD',						7 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_SCIENCE',					5 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_CULTURE',					5 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_HAPPINESS',					5 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_GREAT_PEOPLE',				5 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_WONDER',					5 UNION ALL

SELECT 'LEADER_PEDRO',						'FLAVOR_RELIGION',					6 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_DIPLOMACY',					3 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_SPACESHIP',					5 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_WATER_CONNECTION',			6 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_NUKE',						3 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_USE_NUKE',					3 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_ESPIONAGE',					5 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_ANTIAIR',					5 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_AIR_CARRIER',				5 UNION ALL

SELECT 'LEADER_PEDRO',						'FLAVOR_ARCHAEOLOGY',				3 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_I_LAND_TRADE_ROUTE',		5 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_I_SEA_TRADE_ROUTE',			6 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_I_TRADE_ORIGIN',			5 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_I_TRADE_DESTINATION',		5 UNION ALL
SELECT 'LEADER_PEDRO',						'FLAVOR_AIRLIFT',					5;

--------------------------------------------------------------------------------------------------
--Trait Features
--------------------------------------------------------------------------------------------------
INSERT INTO Trait_UnimprovedFeatureYieldChanges  (TraitType,	FeatureType,		YieldType,				Yield) 
SELECT 'TRAIT_FA_PEDRO',										'FEATURE_JUNGLE',	'YIELD_PRODUCTION',		1;

--------------------------------------------------------------------------------------------------
--Trait Resources
--------------------------------------------------------------------------------------------------
INSERT INTO Trait_ResourceQuantityModifiers  (TraitType,	ResourceType,			ResourceQuantityModifier) 
SELECT 'TRAIT_FA_PEDRO',									'RESOURCE_SUGAR',		100;

--------------------------------------------------------------------------------------------------
--Trait Improvements
--------------------------------------------------------------------------------------------------
INSERT INTO Trait_ImprovementYieldChanges  (TraitType,	ImprovementType,			YieldType,			Yield) 
SELECT 'TRAIT_FA_PEDRO',								'IMPROVEMENT_PLANTATION',	'YIELD_GOLD',		1;
