-- Alexander_Hellenism
-- Author: FramedArchitecture
-- DateCreated: 6/2014
--------------------------------------------------------------------
include("UA_Functions.lua")
--------------------------------------------------------------------
local promotionID = GameInfo.UnitPromotions["PROMOTION_GREAT_GENERAL"].ID
local generalID = GameInfo.Units["UNIT_FA_ALEXANDER"].ID
local alexanderID = -1
local alexanderTeamID = -1
--------------------------------------------------------------------
function OnUnitCreated(playerID, unitID)
	if playerID ~= alexanderID then return end

	local player = Players[playerID]	
	local unit = player:GetUnitByID(unitID);
	if not unit then return end
	if not unit:IsHasPromotion(promotionID) then return end
	if unit:GetUnitType() == generalID then return end
	
	local x, y = unit:GetX(), unit:GetY()
	unit:Kill(true, -1)
	unit = player:InitUnit(generalID, x, y)
end
--------------------------------------------------------------------
function Init()
	for i = 0, GameDefines.MAX_MAJOR_CIVS - 1, 1 do
		local player = Players[i]
		if player and (GetTraitType(player) == "TRAIT_FA_ALEXANDER") then
			alexanderID = i
			alexanderTeamID = player:GetTeam()
			
			Events.SerialEventUnitCreated.Add( OnUnitCreated )

			print("Alexander_Hellenism loaded")
			break;
		end
	end
end
--------------------------------------------------------------------
Init();
