--------------------------------------------------------------------------------------------------
--Traits
--------------------------------------------------------------------------------------------------
ALTER TABLE Traits ADD COLUMN TechRevealsCoasts text DEFAULT null;
ALTER TABLE Traits ADD COLUMN FaithOnConquest integer DEFAULT 0;

INSERT INTO Traits (Type,	LuaToInclude,				RequiresExpansion,	FreeBuilding,	FaithOnConquest,	TechRevealsCoasts,	Description,					ShortDescription) 
SELECT 'TRAIT_FA_ISABELLA',	'Isabella_Reconquista.lua',	1,					NULL,			25,					'TECH_COMPASS',		'TXT_KEY_TRAIT_FA_ISABELLA',	'TXT_KEY_TRAIT_FA_ISABELLA_SHORT';

--------------------------------------------------------------------------------------------------
UPDATE Leader_Traits SET TraitType = 'TRAIT_FA_ISABELLA' WHERE LeaderType = 'LEADER_ISABELLA';

--------------------------------------------------------------------------------------------------
--Leader Flavors
--------------------------------------------------------------------------------------------------
DELETE FROM Leader_Flavors WHERE LeaderType = 'LEADER_ISABELLA';

INSERT INTO Leader_Flavors  (LeaderType,	FlavorType,							Flavor)
SELECT 'LEADER_ISABELLA',					'FLAVOR_OFFENSE',					8 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_DEFENSE',					7 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_CITY_DEFENSE',				9 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_MILITARY_TRAINING',			6 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_RECON',						4 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_RANGED',					4 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_MOBILE',					7 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_NAVAL',						4 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_NAVAL_RECON',				6 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_NAVAL_GROWTH',				5 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_NAVAL_TILE_IMPROVEMENT',	4 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_AIR',						4 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_EXPANSION',					7 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_GROWTH',					5 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_TILE_IMPROVEMENT',			5 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_INFRASTRUCTURE',			5 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_PRODUCTION',				5 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_GOLD',						7 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_SCIENCE',					4 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_CULTURE',					5 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_HAPPINESS',					4 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_GREAT_PEOPLE',				5 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_WONDER',					6 UNION ALL

SELECT 'LEADER_ISABELLA',					'FLAVOR_RELIGION',					8 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_DIPLOMACY',					2 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_SPACESHIP',					3 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_WATER_CONNECTION',			7 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_NUKE',						5 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_USE_NUKE',					5 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_ESPIONAGE',					6 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_ANTIAIR',					5 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_AIR_CARRIER',				6 UNION ALL

SELECT 'LEADER_ISABELLA',					'FLAVOR_ARCHAEOLOGY',				5 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_I_LAND_TRADE_ROUTE',		7 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_I_SEA_TRADE_ROUTE',			5 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_I_TRADE_ORIGIN',			5 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_I_TRADE_DESTINATION',		5 UNION ALL
SELECT 'LEADER_ISABELLA',					'FLAVOR_AIRLIFT',					5;